mi-malloc: Posix

| mi-malloc 1.6 |

Functions
Posix

`mi_` prefixed implementations of various Posix, Unix, and C++ allocation functions. More...

## Functions
size_t | mi_malloc_size (const void *p)
size_t | mi_malloc_usable_size (const void *p)
void | mi_cfree (void *p)
| Just as `free` but also checks if the pointer `p` belongs to our heap. More...
int | mi_posix_memalign (void **p, size_t alignment, size_t size)
int | mi__posix_memalign (void **p, size_t alignment, size_t size)
void * | mi_memalign (size_t alignment, size_t size)
void * | mi_valloc (size_t size)
void * | mi_pvalloc (size_t size)
void * | mi_aligned_alloc (size_t alignment, size_t size)
void * | mi_reallocarray (void *p, size_t count, size_t size)
void | mi_free_size (void *p, size_t size)
void | mi_free_size_aligned (void *p, size_t size, size_t alignment)
void | mi_free_aligned (void *p, size_t alignment)

## Detailed Description

`mi_` prefixed implementations of various Posix, Unix, and C++ allocation functions.

Defined for convenience as all redirect to the regular mimalloc API.

## Function Documentation

## ◆ mi__posix_memalign()

int mi__posix_memalign | ( | void ** | p,
|  | size_t | alignment,
|  | size_t | size
| ) |  |

## ◆ mi_aligned_alloc()

void* mi_aligned_alloc | ( | size_t | alignment,
|  | size_t | size
| ) |  |

## ◆ mi_cfree()

void mi_cfree | ( | void * | p | ) |

Just as `free` but also checks if the pointer `p` belongs to our heap.

## ◆ mi_free_aligned()

void mi_free_aligned | ( | void * | p,
|  | size_t | alignment
| ) |  |

## ◆ mi_free_size()

void mi_free_size | ( | void * | p,
|  | size_t | size
| ) |  |

## ◆ mi_free_size_aligned()

void mi_free_size_aligned | ( | void * | p,
|  | size_t | size,
|  | size_t | alignment
| ) |  |

## ◆ mi_malloc_size()

size_t mi_malloc_size | ( | const void * | p | ) |

## ◆ mi_malloc_usable_size()

size_t mi_malloc_usable_size | ( | const void * | p | ) |

## ◆ mi_memalign()

void* mi_memalign | ( | size_t | alignment,
|  | size_t | size
| ) |  |

## ◆ mi_posix_memalign()

int mi_posix_memalign | ( | void ** | p,
|  | size_t | alignment,
|  | size_t | size
| ) |  |

## ◆ mi_pvalloc()

void* mi_pvalloc | ( | size_t | size | ) |

## ◆ mi_reallocarray()

void* mi_reallocarray | ( | void * | p,
|  | size_t | count,
|  | size_t | size
| ) |  |

## ◆ mi_valloc()

void* mi_valloc | ( | size_t | size | ) |